<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>me.ironhorse</groupId>
    <artifactId>mandelbulb</artifactId>
    <packaging>pom</packaging>
    <name>Mandelbulb</name>
    <description>Visualization Demo of a Mandelbulb</description>
    <modules>
        <module>math</module>
        <module>application</module>
        <module>domain</module>
    </modules>
    <version>1.0-SNAPSHOT</version>

    <properties>
        <java.version>11</java.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>me.ironhorse</groupId>
                <artifactId>math</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>me.ironhorse</groupId>
                <artifactId>domain</artifactId>
                <version>${project.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.8.1</version>
                <configuration>
                    <source>${java.version}</source>
                    <target>${java.version}</target>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>